Subject: Re: linux-next: usb/pxa trees build failure

From: Greg KH <[email-masked]>
Date: Wed, 19 Aug 2009 16:37:44 -0700

On Wed, Aug 19, 2009 at 02:24:08PM -0400, Aric D. Blumer wrote:
> Greg KH wrote:
> > On Wed, Aug 19, 2009 at 10:35:10AM +0800, Eric Miao wrote:
> >   
> >> Greg KH wrote:
> >>     
> >>> On Tue, Aug 18, 2009 at 10:05:25PM +0800, Eric Miao wrote:
> >>>       
> >>>> Greg KH wrote:
> >>>>         
> >>>>> On Tue, Aug 18, 2009 at 01:58:52PM +1000, Stephen Rothwell wrote:
> >>>>>           
> >>>>>> Hi Eric, Greg,
> >>>>>>
> >>>>>> The next-20090817 (and a few before) build (arm trizeps4_defconfig)
> >>>>>> failed like this:
> >>>>>>
> >>>>>> drivers/usb/host/ohci-pxa27x.c:507: error: 'pdev' undeclared (first use in this function)
> >>>>>>
> >>>>>> Caused by the interaction of commit
> >>>>>> 6458baec17e19d38b9d4eb1f96c213f91609c0e3 ("USB: ohci-pxa27x: Reconfigure
> >>>>>> power settings on resume") from the usb tree with commit
> >>>>>> b8fb7d4317bcea1b48c9560d23dff81121870ece ("[ARM] pxa: update
> >>>>>> ohci-pxa27x.c to use 'struct dev_pm_ops'"). from the pxa tree.
> >>>>>>
> >>>>>> Greg/Aric, maybe that usb tree patch needs to go through the pxa tree?
> >>>>>> (and maybe "USB: ohci-pxa27x: Allow NOCP and OCPM to be cleared" as well?)
> >>>>>>
> >>>>>> [this also broke the following configs: magician_defconfig,
> >>>>>> em_x270_defconfig and cm_x2xx_defconfig.]
> >>>>>>             
> >>>>> Ick, not good.  Aric, should I drop this patch from my tree?
> >>>>>
> >>>>>           
> >>>> I think so, might be better to go through the pxa tree so that I can give
> >>>> another review. (the fiber across the pacific seems to be broken again, so
> >>>> I have to look into this tomorrow, still fetching -next, sigh).
> >>>>         
> >>> Ok, let me know if you want me to drop these patches from my tree.
> >>>
> >>>       
> >> OK, so the problem is 'pdev' is no longer part of the dev_pm_ops, ('dev' is used
> >> instead), and the 'inf' pointer can just be referenced from 'dev->platform_data',
> >> so the fix is actually trivial, but it does have dependency issue.
> >>
> >> Greg,
> >>
> >> It looks to me would be better if this goes the pxa tree, and I'll send out the
> >> updated patch of 6458baec later.
> >>     
> >
> > Ok, should I drop just this one patch from my tree, or any others as
> > well
> 
> It is an isolated patch, so dropping it alone should be fine.

Ok, it's now dropped from my tree, linux-next should now be happy :)

thanks,

greg k-h